
using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSProfessionalRepository
    {
        Task<EProfessional> CreateAsync(EProfessional entity);
        Task<bool> DeleteAsync(int id);
        Task<PagedResult<EProfessional>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EProfessional?> GetByIdAsync(int id);
        Task<PagedResult<EProfessional>> SearchAsync(string? fullname, string? document, string? type,
            int page = 1, int pageSize = 50);
        Task<bool> UpdateAsync(EProfessional entity);
    }
}
